Skip to main content
PATCH
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

idOrName
string
required

The unique project identifier or the project name

Example:

"prj_LLHUOMOoDlqOp8wPE4kFo9pE or my-project-name"

Query Parameters

teamId
string
required

The Team identifier or Team slug to perform the request on behalf of.

Example:

"team_xbtegd63gdg5636gdg"

slug
string
required

The Team slug to perform the request on behalf of.

Example:

"my-team"

Body

application/json
name
string | null

The desired name for the project

Maximum string length: 100
Example:

"a-project-name"

teamId
string | null
alias
string | null
buildCommand
string | null
devCommand
string | null
installCommand
string | null
framework
string | null
outputDirectory
string | null
commandForIgnoringBuildStep
string | null

Response

The project was successfully updated

id
string
required
name
string | null
required
teamId
string | null
required
alias
string | null
required
buildCommand
string | null
required
devCommand
string | null
required
installCommand
string | null
required
framework
string | null
required
outputDirectory
string | null
required
commandForIgnoringBuildStep
string | null
required
createdAt
number
required
updatedAt
number
required